## AgsCartesian

AgsCartesian — A cartesian widget

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_PLOT()
#define | AGS_CARTESIAN_STEP_CONVERSION_FUNC()
#define | AGS_CARTESIAN_TRANSLATE_FUNCT()
#define | AGS_CARTESIAN_SCALE_FUNC()
#define | AGS_CARTESIAN_LABEL_FUNC()
gdouble | (*AgsCartesianStepConversionFunc) ()
void | (*AgsCartesianTranslateFunc) ()
gdouble | (*AgsCartesianScaleFunc) ()
gchar * | (*AgsCartesianLabelFunc) ()
AgsPlot * | ags_plot_alloc ()
void | ags_plot_free ()
guint | ags_plot_get_n_points ()
void | ags_plot_set_n_points ()
gboolean | ags_plot_get_join_points ()
void | ags_plot_set_join_points ()
gdouble ** | ags_plot_get_point ()
void | ags_plot_set_point ()
gdouble ** | ags_plot_get_point_color ()
void | ags_plot_set_point_color ()
gchar ** | ags_plot_get_point_label ()
void | ags_plot_set_point_label ()
guint | ags_plot_get_n_bitmaps ()
void | ags_plot_set_n_bitmaps ()
guchar ** | ags_plot_get_bitmap ()
void | ags_plot_set_bitmap ()
gdouble ** | ags_plot_get_bitmap_color ()
void | ags_plot_set_bitmap_color ()
guint | ags_plot_get_n_pixmaps ()
void | ags_plot_set_n_pixmaps ()
guchar ** | ags_plot_get_pixmap ()
void | ags_plot_set_pixmap ()
void | ags_cartesian_add_plot ()
void | ags_cartesian_remove_plot ()
gdouble | ags_cartesian_get_x_margin ()
void | ags_cartesian_set_x_margin ()
gdouble | ags_cartesian_get_y_margin ()
void | ags_cartesian_set_y_margin ()
gdouble | ags_cartesian_get_center ()
void | ags_cartesian_set_center ()
gdouble | ags_cartesian_get_line_width ()
void | ags_cartesian_set_line_width ()
gdouble | ags_cartesian_get_point_radius ()
void | ags_cartesian_set_point_radius ()
gdouble | ags_cartesian_get_font_size ()
void | ags_cartesian_set_font_size ()
gdouble | ags_cartesian_get_x_step_width ()
void | ags_cartesian_set_x_step_width ()
gdouble | ags_cartesian_get_y_step_height ()
void | ags_cartesian_set_y_step_height ()
gdouble | ags_cartesian_get_x_scale_step_width ()
void | ags_cartesian_set_x_scale_step_width ()
gdouble | ags_cartesian_get_y_scale_step_height ()
void | ags_cartesian_set_y_scale_step_height ()
gdouble | ags_cartesian_get_x_unit_x0 ()
void | ags_cartesian_set_x_unit_x0 ()
gdouble | ags_cartesian_get_x_unit_y0 ()
void | ags_cartesian_set_x_unit_y0 ()
gdouble | ags_cartesian_get_x_unit_size ()
void | ags_cartesian_set_x_unit_size ()
gdouble | ags_cartesian_get_y_unit_x0 ()
void | ags_cartesian_set_y_unit_x0 ()
gdouble | ags_cartesian_get_y_unit_y0 ()
void | ags_cartesian_set_y_unit_y0 ()
gdouble | ags_cartesian_get_y_unit_size ()
void | ags_cartesian_set_y_unit_size ()
gdouble | ags_cartesian_get_x_label_start ()
void | ags_cartesian_set_x_label_start ()
gdouble | ags_cartesian_get_x_label_step_width ()
void | ags_cartesian_set_x_label_step_width ()
gdouble | ags_cartesian_get_y_label_start ()
void | ags_cartesian_set_y_label_start ()
gdouble | ags_cartesian_get_y_label_step_height ()
void | ags_cartesian_set_y_label_step_height ()
gdouble | ags_cartesian_get_x_step ()
void | ags_cartesian_set_x_step ()
gdouble | ags_cartesian_get_y_step ()
void | ags_cartesian_set_y_step ()
gdouble | ags_cartesian_get_x_start ()
void | ags_cartesian_set_x_start ()
gdouble | ags_cartesian_get_x_end ()
void | ags_cartesian_set_x_end ()
gdouble | ags_cartesian_get_y_start ()
void | ags_cartesian_set_y_start ()
gdouble | ags_cartesian_get_y_end ()
void | ags_cartesian_set_y_end ()
gchar * | ags_cartesian_get_x_unit ()
void | ags_cartesian_set_x_unit ()
gchar * | ags_cartesian_get_y_unit ()
void | ags_cartesian_set_y_unit ()
gchar ** | ags_cartesian_get_x_label ()
void | ags_cartesian_set_x_label ()
gchar ** | ags_cartesian_get_y_label ()
void | ags_cartesian_set_y_label ()
gdouble | ags_cartesian_get_x_step_factor ()
void | ags_cartesian_set_x_step_factor ()
gdouble | ags_cartesian_get_y_step_factor ()
void | ags_cartesian_set_y_step_factor ()
gdouble | ags_cartesian_get_x_small_scale_factor ()
void | ags_cartesian_set_x_small_scale_factor ()
gdouble | ags_cartesian_get_x_big_scale_factor ()
void | ags_cartesian_set_x_big_scale_factor ()
gdouble | ags_cartesian_get_y_small_scale_factor ()
void | ags_cartesian_set_y_small_scale_factor ()
gdouble | ags_cartesian_get_y_big_scale_factor ()
void | ags_cartesian_set_y_big_scale_factor ()
gdouble | ags_cartesian_get_x_label_factor ()
void | ags_cartesian_set_x_label_factor ()
gdouble | ags_cartesian_get_x_label_precision ()
void | ags_cartesian_set_x_label_precision ()
gdouble | ags_cartesian_get_y_label_factor ()
void | ags_cartesian_set_y_label_factor ()
gdouble | ags_cartesian_get_y_label_precision ()
void | ags_cartesian_set_y_label_precision ()
cairo_surface_t * | ags_cartesian_get_surface ()
gdouble | ags_cartesian_linear_step_conversion_func ()
void | ags_cartesian_linear_translate_func ()
gdouble | ags_cartesian_linear_x_small_scale_func ()
gdouble | ags_cartesian_linear_x_big_scale_func ()
gdouble | ags_cartesian_linear_y_small_scale_func ()
gdouble | ags_cartesian_linear_y_big_scale_func ()
gchar * | ags_cartesian_linear_x_label_func ()
gchar * | ags_cartesian_linear_y_label_func ()
void | ags_cartesian_reallocate_label ()
void | ags_cartesian_fill_label ()
AgsCartesian * | ags_cartesian_new ()

## Properties

double | center | Read / Write
double | font-size | Read / Write
double | line-width | Read / Write
gpointer | plot | Read / Write
double | point-radius | Read / Write
gpointer | surface | Read / Write
gpointer | translate-data | Read / Write
double | x-big-scale-factor | Read / Write
double | x-end | Read / Write
gpointer | x-label | Read / Write
gpointer | x-label-data | Read / Write
double | x-label-factor | Read / Write
double | x-label-precision | Read / Write
double | x-label-start | Read / Write
double | x-label-step-width | Read / Write
double | x-margin | Read / Write
gpointer | x-scale-data | Read / Write
double | x-scale-step-width | Read / Write
double | x-small-scale-factor | Read / Write
double | x-start | Read / Write
double | x-step | Read / Write
gpointer | x-step-data | Read / Write
double | x-step-factor | Read / Write
double | x-step-width | Read / Write
double | x-translate-point | Read / Write
char * | x-unit | Read / Write
double | x-unit-size | Read / Write
double | x-unit-x0 | Read / Write
double | x-unit-y0 | Read / Write
double | y-big-scale-factor | Read / Write
double | y-end | Read / Write
gpointer | y-label | Read / Write
gpointer | y-label-data | Read / Write
double | y-label-factor | Read / Write
double | y-label-precision | Read / Write
double | y-label-start | Read / Write
double | y-label-step-height | Read / Write
double | y-margin | Read / Write
gpointer | y-scale-data | Read / Write
double | y-scale-step-height | Read / Write
double | y-small-scale-factor | Read / Write
double | y-start | Read / Write
double | y-step | Read / Write
gpointer | y-step-data | Read / Write
double | y-step-factor | Read / Write
double | y-step-height | Read / Write
double | y-translate-point | Read / Write
char * | y-unit | Read / Write
double | y-unit-size | Read / Write
double | y-unit-x0 | Read / Write
double | y-unit-y0 | Read / Write

## Types and Values

#define | AGS_CARTESIAN_DEFAULT_X_MARGIN
#define | AGS_CARTESIAN_DEFAULT_Y_MARGIN
#define | AGS_CARTESIAN_DEFAULT_X_STEP_WIDTH
#define | AGS_CARTESIAN_DEFAULT_Y_STEP_HEIGHT
#define | AGS_CARTESIAN_DEFAULT_X_SCALE_STEP_WIDTH
#define | AGS_CARTESIAN_DEFAULT_Y_SCALE_STEP_HEIGHT
#define | AGS_CARTESIAN_DEFAULT_X_STEP
#define | AGS_CARTESIAN_DEFAULT_Y_STEP
#define | AGS_CARTESIAN_DEFAULT_X_START
#define | AGS_CARTESIAN_DEFAULT_X_END
#define | AGS_CARTESIAN_DEFAULT_Y_START
#define | AGS_CARTESIAN_DEFAULT_Y_END
#define | AGS_CARTESIAN_DEFAULT_X_LABEL_START
#define | AGS_CARTESIAN_DEFAULT_X_LABEL_STEP_WIDTH
#define | AGS_CARTESIAN_DEFAULT_Y_LABEL_START
#define | AGS_CARTESIAN_DEFAULT_Y_LABEL_STEP_HEIGHT
enum | AgsCartesianFlags
enum | AgsPlotFillFlags
struct | AgsPlot

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── AgsCartesian

## Includes

    #include <ags/widget/ags_cartesian.h>

## Description

AgsCartesian enables you to plot data and shows a grid pattern and some scales.

## Functions

### AGS_PLOT()

    #define AGS_PLOT(ptr) ((AgsPlot *)(ptr))

### AGS_CARTESIAN_STEP_CONVERSION_FUNC()

    #define AGS_CARTESIAN_STEP_CONVERSION_FUNC(current, is_abscissae, data) ((AgsCartesianStepConversionFunc)(current, is_abscissae, data))

### AGS_CARTESIAN_TRANSLATE_FUNCT()

    #define AGS_CARTESIAN_TRANSLATE_FUNCT(x, y, ret_x, ret_y, data) ((AgsCartesianTranslateFunc)(x, y, ret_x, ret_y, data))

### AGS_CARTESIAN_SCALE_FUNC()

    #define AGS_CARTESIAN_SCALE_FUNC(value, data) ((AgsCartesianScaleFunc)(value, data))

### AGS_CARTESIAN_LABEL_FUNC()

    #define AGS_CARTESIAN_LABEL_FUNC(value, data) ((AgsCartesianLabelFunc)(value, data))

### AgsCartesianStepConversionFunc ()

    gdouble
    (*AgsCartesianStepConversionFunc) (gdouble current,
                                       gboolean is_abscissae,
                                       gpointer data);

### AgsCartesianTranslateFunc ()

    void
    (*AgsCartesianTranslateFunc) (gdouble x,
                                  gdouble y,
                                  gdouble *ret_x,
                                  gdouble *ret_y,
                                  gpointer data);

### AgsCartesianScaleFunc ()

    gdouble
    (*AgsCartesianScaleFunc) (gdouble value,
                              gpointer data);

### AgsCartesianLabelFunc ()

    gchar *
    (*AgsCartesianLabelFunc) (gdouble value,
                              gpointer data);

### ags_plot_alloc ()

    AgsPlot *
    ags_plot_alloc (guint n_points,
                    guint n_bitmaps,
                    guint n_pixmaps);

Allocate AgsPlot.

#### Parameters

n_points | number of points |
n_bitmaps | number of bitmaps |
n_pixmaps | number of pixmaps |

#### Returns

the newly allocated AgsPlot.

[type gpointer][transfer full]

Since: 3.0.0

### ags_plot_free ()

    void
    ags_plot_free (AgsPlot *plot);

Free `plot` .

#### Parameters

plot | the AgsPlot. | [type gpointer][transfer full]

Since: 3.0.0

### ags_plot_get_n_points ()

    guint
    ags_plot_get_n_points (AgsPlot *plot);

Get number of points.

#### Parameters

plot | the AgsPlot. | [type gpointer]

#### Returns

n_points field

Since: 3.2.0

### ags_plot_set_n_points ()

    void
    ags_plot_set_n_points (AgsPlot *plot,
                           guint n_points);

Set n_points field of `plot` .

#### Parameters

plot | the AgsPlot. | [type gpointer]
n_points | the number of points |

Since: 3.2.0

### ags_plot_get_join_points ()

    gboolean
    ags_plot_get_join_points (AgsPlot *plot);

Get join points.

#### Parameters

plot | the AgsPlot. | [type gpointer]

#### Returns

join_points field

Since: 3.2.0

### ags_plot_set_join_points ()

    void
    ags_plot_set_join_points (AgsPlot *plot,
                              gboolean join_points);

Set join_points field of `plot` .

#### Parameters

plot | the AgsPlot. | [type gpointer]
join_points | if `TRUE` join points, otherwise not |

Since: 3.2.0

### ags_plot_get_point ()

    gdouble **
    ags_plot_get_point (AgsPlot *plot);

Get points.

#### Parameters

plot | the AgsPlot. | [type gpointer]

#### Returns

point field.

[transfer none]

Since: 3.2.0

### ags_plot_set_point ()

    void
    ags_plot_set_point (AgsPlot *plot,
                        gdouble **point);

Set point field of `plot` .

#### Parameters

plot | the AgsPlot. | [type gpointer]
point | the points as array of coordinates. | [transfer full]

Since: 3.2.0

### ags_plot_get_point_color ()

    gdouble **
    ags_plot_get_point_color (AgsPlot *plot);

Get point colors.

#### Parameters

plot | the AgsPlot. | [type gpointer]

#### Returns

point color field.

[transfer none]

Since: 3.2.0

### ags_plot_set_point_color ()

    void
    ags_plot_set_point_color (AgsPlot *plot,
                              gdouble **point_color);

Set point color field of `plot` .

#### Parameters

plot | the AgsPlot. | [type gpointer]
point_color | the points colors as array of RGB value. | [transfer full]

Since: 3.2.0

### ags_plot_get_point_label ()

    gchar **
    ags_plot_get_point_label (AgsPlot *plot);

Get point labels.

#### Parameters

plot | the AgsPlot. | [type gpointer]

#### Returns

point label field.

[element-type utf8][transfer none]

Since: 3.2.0

### ags_plot_set_point_label ()

    void
    ags_plot_set_point_label (AgsPlot *plot,
                              gchar **point_label);

Set point label field of `plot` .

#### Parameters

plot | the AgsPlot. | [type gpointer]
point_label | the points labels as string vector. | [transfer full]

Since: 3.2.0

### ags_plot_get_n_bitmaps ()

    guint
    ags_plot_get_n_bitmaps (AgsPlot *plot);

Get number of bitmaps.

#### Parameters

plot | the AgsPlot. | [type gpointer]

#### Returns

n_bitmaps field

Since: 3.2.0

### ags_plot_set_n_bitmaps ()

    void
    ags_plot_set_n_bitmaps (AgsPlot *plot,
                            guint n_bitmaps);

Set n_bitmaps field of `plot` .

#### Parameters

plot | the AgsPlot. | [type gpointer]
n_bitmaps | the number of bitmaps |

Since: 3.2.0

### ags_plot_get_bitmap ()

    guchar **
    ags_plot_get_bitmap (AgsPlot *plot);

Get bitmaps.

#### Parameters

plot | the AgsPlot. | [type gpointer]

#### Returns

bitmap field.

[transfer none]

Since: 3.2.0

### ags_plot_set_bitmap ()

    void
    ags_plot_set_bitmap (AgsPlot *plot,
                         guchar **bitmap);

Set bitmap field of `plot` .

#### Parameters

plot | the AgsPlot. | [type gpointer]
bitmap | the bitmaps. | [transfer full]

Since: 3.2.0

### ags_plot_get_bitmap_color ()

    gdouble **
    ags_plot_get_bitmap_color (AgsPlot *plot);

Get bitmap colors.

#### Parameters

plot | the AgsPlot. | [type gpointer]

#### Returns

bitmap color field.

[transfer none]

Since: 3.2.0

### ags_plot_set_bitmap_color ()

    void
    ags_plot_set_bitmap_color (AgsPlot *plot,
                               gdouble **bitmap_color);

Set bitmap color field of `plot` .

#### Parameters

plot | the AgsPlot. | [type gpointer]
bitmap_color | the bitmaps colors as array of RGB value. | [transfer full]

Since: 3.2.0

### ags_plot_get_n_pixmaps ()

    guint
    ags_plot_get_n_pixmaps (AgsPlot *plot);

Get number of pixmaps.

#### Parameters

plot | the AgsPlot. | [type gpointer]

#### Returns

n_pixmaps field

Since: 3.2.0

### ags_plot_set_n_pixmaps ()

    void
    ags_plot_set_n_pixmaps (AgsPlot *plot,
                            guint n_pixmaps);

Set n_pixmaps field of `plot` .

#### Parameters

plot | the AgsPlot. | [type gpointer]
n_pixmaps | the number of pixmaps |

Since: 3.2.0

### ags_plot_get_pixmap ()

    guchar **
    ags_plot_get_pixmap (AgsPlot *plot);

Get pixmaps.

#### Parameters

plot | the AgsPlot. | [type gpointer]

#### Returns

pixmap field.

[transfer none]

Since: 3.2.0

### ags_plot_set_pixmap ()

    void
    ags_plot_set_pixmap (AgsPlot *plot,
                         guchar **pixmap);

Set pixmap field of `plot` .

#### Parameters

plot | the AgsPlot. | [type gpointer]
pixmap | the pixmaps. | [transfer full]

Since: 3.2.0

### ags_cartesian_add_plot ()

    void
    ags_cartesian_add_plot (AgsCartesian *cartesian,
                            AgsPlot *plot);

Add `plot` to `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
plot | the AgsPlot. | [type gpointer]

Since: 3.0.0

### ags_cartesian_remove_plot ()

    void
    ags_cartesian_remove_plot (AgsCartesian *cartesian,
                               AgsPlot *plot);

Remove `plot` from `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
plot | the AgsPlot. | [type gpointer]

Since: 3.0.0

### ags_cartesian_get_x_margin ()

    gdouble
    ags_cartesian_get_x_margin (AgsCartesian *cartesian);

Get x margin of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |

#### Returns

the x margin

Since: 3.2.0

### ags_cartesian_set_x_margin ()

    void
    ags_cartesian_set_x_margin (AgsCartesian *cartesian,
                                gdouble x_margin);

Set x margin of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
x_margin | the x margin |

Since: 3.2.0

### ags_cartesian_get_y_margin ()

    gdouble
    ags_cartesian_get_y_margin (AgsCartesian *cartesian);

Get y margin of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |

#### Returns

the y margin

Since: 3.2.0

### ags_cartesian_set_y_margin ()

    void
    ags_cartesian_set_y_margin (AgsCartesian *cartesian,
                                gdouble y_margin);

Set y margin of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
y_margin | the y margin |

Since: 3.2.0

### ags_cartesian_get_center ()

    gdouble
    ags_cartesian_get_center (AgsCartesian *cartesian);

Get center of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |

#### Returns

the center

Since: 3.2.0

### ags_cartesian_set_center ()

    void
    ags_cartesian_set_center (AgsCartesian *cartesian,
                              gdouble center);

Set center of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
center | the center |

Since: 3.2.0

### ags_cartesian_get_line_width ()

    gdouble
    ags_cartesian_get_line_width (AgsCartesian *cartesian);

Get line width of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |

#### Returns

the line width

Since: 3.2.0

### ags_cartesian_set_line_width ()

    void
    ags_cartesian_set_line_width (AgsCartesian *cartesian,
                                  gdouble line_width);

Set line width of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
line_width | the line width |

Since: 3.2.0

### ags_cartesian_get_point_radius ()

    gdouble
    ags_cartesian_get_point_radius (AgsCartesian *cartesian);

Get point radius.

#### Parameters

cartesian | the AgsCartesian |

#### Returns

the point radius

Since: 3.2.0

### ags_cartesian_set_point_radius ()

    void
    ags_cartesian_set_point_radius (AgsCartesian *cartesian,
                                    gdouble point_radius);

Set point radius.

#### Parameters

cartesian | the AgsCartesian |
point_radius | the point radius |

Since: 3.2.0

### ags_cartesian_get_font_size ()

    gdouble
    ags_cartesian_get_font_size (AgsCartesian *cartesian);

Get font size of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |

#### Returns

the font size

Since: 3.2.0

### ags_cartesian_set_font_size ()

    void
    ags_cartesian_set_font_size (AgsCartesian *cartesian,
                                 gdouble font_size);

Set font size of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
font_size | the font size |

Since: 3.2.0

### ags_cartesian_get_x_step_width ()

    gdouble
    ags_cartesian_get_x_step_width (AgsCartesian *cartesian);

Get x step width of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |

#### Returns

the x step width

Since: 3.2.0

### ags_cartesian_set_x_step_width ()

    void
    ags_cartesian_set_x_step_width (AgsCartesian *cartesian,
                                    gdouble x_step_width);

Set x step width of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
x_step_width | the x step width |

Since: 3.2.0

### ags_cartesian_get_y_step_height ()

    gdouble
    ags_cartesian_get_y_step_height (AgsCartesian *cartesian);

Get y step height.

#### Parameters

cartesian | the AgsCartesian |

#### Returns

the y step height

Since: 3.2.0

### ags_cartesian_set_y_step_height ()

    void
    ags_cartesian_set_y_step_height (AgsCartesian *cartesian,
                                     gdouble y_step_height);

Set y step height of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
y_step_height | the y step height |

Since: 3.2.0

### ags_cartesian_get_x_scale_step_width ()

    gdouble
    ags_cartesian_get_x_scale_step_width (AgsCartesian *cartesian);

Get x scale step width of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |

#### Returns

the x scale step width

Since: 3.2.0

### ags_cartesian_set_x_scale_step_width ()

    void
    ags_cartesian_set_x_scale_step_width (AgsCartesian *cartesian,
                                          gdouble x_scale_step_width);

Set x scale step width of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
x_scale_step_width | the x scale step width |

Since: 3.2.0

### ags_cartesian_get_y_scale_step_height ()

    gdouble
    ags_cartesian_get_y_scale_step_height (AgsCartesian *cartesian);

Get y scale step height of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |

#### Returns

the y scale step height

Since: 3.2.0

### ags_cartesian_set_y_scale_step_height ()

    void
    ags_cartesian_set_y_scale_step_height (AgsCartesian *cartesian,
                                           gdouble y_scale_step_height);

Set y scale step height of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
y_scale_step_height | the y scale step height |

Since: 3.2.0

### ags_cartesian_get_x_unit_x0 ()

    gdouble
    ags_cartesian_get_x_unit_x0 (AgsCartesian *cartesian);

Get x unit x0 of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |

#### Returns

the x unit x0

Since: 3.2.0

### ags_cartesian_set_x_unit_x0 ()

    void
    ags_cartesian_set_x_unit_x0 (AgsCartesian *cartesian,
                                 gdouble x_unit_x0);

Set x unit x0 of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
x_unit_x0 | the x unit x0 |

Since: 3.2.0

### ags_cartesian_get_x_unit_y0 ()

    gdouble
    ags_cartesian_get_x_unit_y0 (AgsCartesian *cartesian);

Get x unit y0 of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |

#### Returns

the x unit y0

Since: 3.2.0

### ags_cartesian_set_x_unit_y0 ()

    void
    ags_cartesian_set_x_unit_y0 (AgsCartesian *cartesian,
                                 gdouble x_unit_y0);

Set x unit y0 of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
x_unit_y0 | the x unit y0 |

Since: 3.2.0

### ags_cartesian_get_x_unit_size ()

    gdouble
    ags_cartesian_get_x_unit_size (AgsCartesian *cartesian);

Get x unit size of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |

#### Returns

the x unit size

Since: 3.2.0

### ags_cartesian_set_x_unit_size ()

    void
    ags_cartesian_set_x_unit_size (AgsCartesian *cartesian,
                                   gdouble x_unit_size);

Set x unit size of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
x_unit_size | the x unit size |

Since: 3.2.0

### ags_cartesian_get_y_unit_x0 ()

    gdouble
    ags_cartesian_get_y_unit_x0 (AgsCartesian *cartesian);

Get y unit x0 of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |

#### Returns

the y unit x0

Since: 3.2.0

### ags_cartesian_set_y_unit_x0 ()

    void
    ags_cartesian_set_y_unit_x0 (AgsCartesian *cartesian,
                                 gdouble y_unit_x0);

Set y unit x0 of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
y_unit_x0 | the y unit x0 |

Since: 3.2.0

### ags_cartesian_get_y_unit_y0 ()

    gdouble
    ags_cartesian_get_y_unit_y0 (AgsCartesian *cartesian);

Get y unit y0 of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |

Since: 3.2.0

### ags_cartesian_set_y_unit_y0 ()

    void
    ags_cartesian_set_y_unit_y0 (AgsCartesian *cartesian,
                                 gdouble y_unit_y0);

Set y unit y0 of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
y_unit_y0 | the y unit y0 |

Since: 3.2.0

### ags_cartesian_get_y_unit_size ()

    gdouble
    ags_cartesian_get_y_unit_size (AgsCartesian *cartesian);

Get y unit size of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |

#### Returns

the y unit size

Since: 3.2.0

### ags_cartesian_set_y_unit_size ()

    void
    ags_cartesian_set_y_unit_size (AgsCartesian *cartesian,
                                   gdouble y_unit_size);

Set y unit size of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
y_unit_size | the y unit size |

Since: 3.2.0

### ags_cartesian_get_x_label_start ()

    gdouble
    ags_cartesian_get_x_label_start (AgsCartesian *cartesian);

Get x label start of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |

#### Returns

the x label start

Since: 3.2.0

### ags_cartesian_set_x_label_start ()

    void
    ags_cartesian_set_x_label_start (AgsCartesian *cartesian,
                                     gdouble x_label_start);

Set x label start of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
x_label_start | the x label start |

Since: 3.2.0

### ags_cartesian_get_x_label_step_width ()

    gdouble
    ags_cartesian_get_x_label_step_width (AgsCartesian *cartesian);

Get x label step width.

#### Parameters

cartesian | the AgsCartesian |

#### Returns

the x label step width

Since: 3.2.0

### ags_cartesian_set_x_label_step_width ()

    void
    ags_cartesian_set_x_label_step_width (AgsCartesian *cartesian,
                                          gdouble x_label_step_width);

Set x label step width of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
x_label_step_width | the x label step width |

Since: 3.2.0

### ags_cartesian_get_y_label_start ()

    gdouble
    ags_cartesian_get_y_label_start (AgsCartesian *cartesian);

Get y label start of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |

#### Returns

the y label start

Since: 3.2.0

### ags_cartesian_set_y_label_start ()

    void
    ags_cartesian_set_y_label_start (AgsCartesian *cartesian,
                                     gdouble y_label_start);

Set y label start of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
y_label_start | the y label start |

Since: 3.2.0

### ags_cartesian_get_y_label_step_height ()

    gdouble
    ags_cartesian_get_y_label_step_height (AgsCartesian *cartesian);

Get y label step height of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |

#### Returns

the y label step height

Since: 3.2.0

### ags_cartesian_set_y_label_step_height ()

    void
    ags_cartesian_set_y_label_step_height (AgsCartesian *cartesian,
                                           gdouble y_label_step_height);

Set y label step height of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
y_label_step_height | the y label step height |

Since: 3.2.0

### ags_cartesian_get_x_step ()

    gdouble
    ags_cartesian_get_x_step (AgsCartesian *cartesian);

Get x step of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |

#### Returns

the x step

Since: 3.2.0

### ags_cartesian_set_x_step ()

    void
    ags_cartesian_set_x_step (AgsCartesian *cartesian,
                              gdouble x_step);

Set x step of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
x_step | the x step |

Since: 3.2.0

### ags_cartesian_get_y_step ()

    gdouble
    ags_cartesian_get_y_step (AgsCartesian *cartesian);

Get y step of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |

#### Returns

the y step

Since: 3.2.0

### ags_cartesian_set_y_step ()

    void
    ags_cartesian_set_y_step (AgsCartesian *cartesian,
                              gdouble y_step);

Set y step of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
y_step | the y step |

Since: 3.2.0

### ags_cartesian_get_x_start ()

    gdouble
    ags_cartesian_get_x_start (AgsCartesian *cartesian);

Get x start of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |

#### Returns

the x start

Since: 3.2.0

### ags_cartesian_set_x_start ()

    void
    ags_cartesian_set_x_start (AgsCartesian *cartesian,
                               gdouble x_start);

Set x start of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
x_start | the x start |

Since: 3.2.0

### ags_cartesian_get_x_end ()

    gdouble
    ags_cartesian_get_x_end (AgsCartesian *cartesian);

Get x end of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |

#### Returns

the x end

Since: 3.2.0

### ags_cartesian_set_x_end ()

    void
    ags_cartesian_set_x_end (AgsCartesian *cartesian,
                             gdouble x_end);

Set x end of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
x_end | the x end |

Since: 3.2.0

### ags_cartesian_get_y_start ()

    gdouble
    ags_cartesian_get_y_start (AgsCartesian *cartesian);

Get y start of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |

#### Returns

the y start

Since: 3.2.0

### ags_cartesian_set_y_start ()

    void
    ags_cartesian_set_y_start (AgsCartesian *cartesian,
                               gdouble y_start);

Set y start of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
y_start | the y start |

Since: 3.2.0

### ags_cartesian_get_y_end ()

    gdouble
    ags_cartesian_get_y_end (AgsCartesian *cartesian);

Get y end of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |

#### Returns

the y end

Since: 3.2.0

### ags_cartesian_set_y_end ()

    void
    ags_cartesian_set_y_end (AgsCartesian *cartesian,
                             gdouble y_end);

Set y end of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
y_end | the y end |

Since: 3.2.0

### ags_cartesian_get_x_unit ()

    gchar *
    ags_cartesian_get_x_unit (AgsCartesian *cartesian);

Get x unit of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |

#### Returns

the x unit

Since: 3.2.0

### ags_cartesian_set_x_unit ()

    void
    ags_cartesian_set_x_unit (AgsCartesian *cartesian,
                              gchar *x_unit);

Set x unit of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
x_unit | the x unit |

Since: 3.2.0

### ags_cartesian_get_y_unit ()

    gchar *
    ags_cartesian_get_y_unit (AgsCartesian *cartesian);

Get y unit of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |

#### Returns

the y unit

Since: 3.2.0

### ags_cartesian_set_y_unit ()

    void
    ags_cartesian_set_y_unit (AgsCartesian *cartesian,
                              gchar *y_unit);

Set y unit of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
y_unit | the y unit |

Since: 3.2.0

### ags_cartesian_get_x_label ()

    gchar **
    ags_cartesian_get_x_label (AgsCartesian *cartesian);

Get x label of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |

#### Returns

the x label.

[transfer none]

Since: 3.2.0

### ags_cartesian_set_x_label ()

    void
    ags_cartesian_set_x_label (AgsCartesian *cartesian,
                               gchar **x_label);

Set x label of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
x_label | the x label. | [transfer none]

Since: 3.2.0

### ags_cartesian_get_y_label ()

    gchar **
    ags_cartesian_get_y_label (AgsCartesian *cartesian);

Get y label of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |

#### Returns

the y label.

[transfer none]

Since: 3.2.0

### ags_cartesian_set_y_label ()

    void
    ags_cartesian_set_y_label (AgsCartesian *cartesian,
                               gchar **y_label);

Set y label of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
y_label | the y label. | [transfer none]

Since: 3.2.0

### ags_cartesian_get_x_step_factor ()

    gdouble
    ags_cartesian_get_x_step_factor (AgsCartesian *cartesian);

Get x step factor of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |

#### Returns

the x step factor

Since: 3.2.0

### ags_cartesian_set_x_step_factor ()

    void
    ags_cartesian_set_x_step_factor (AgsCartesian *cartesian,
                                     gdouble x_step_factor);

Set x step factor of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
x_step_factor | the x step factor |

Since: 3.2.0

### ags_cartesian_get_y_step_factor ()

    gdouble
    ags_cartesian_get_y_step_factor (AgsCartesian *cartesian);

Get y step factor of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |

#### Returns

the y step factor

Since: 3.2.0

### ags_cartesian_set_y_step_factor ()

    void
    ags_cartesian_set_y_step_factor (AgsCartesian *cartesian,
                                     gdouble y_step_factor);

Set y step factor of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
y_step_factor | the y step factor |

Since: 3.2.0

### ags_cartesian_get_x_small_scale_factor ()

    gdouble
    ags_cartesian_get_x_small_scale_factor
                                   (AgsCartesian *cartesian);

Get x small scale factor of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |

#### Returns

the x small factor

Since: 3.2.0

### ags_cartesian_set_x_small_scale_factor ()

    void
    ags_cartesian_set_x_small_scale_factor
                                   (AgsCartesian *cartesian,
                                    gdouble x_small_scale_factor);

Set x small scale factor of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
x_small_scale_factor | the x small scale factor |

Since: 3.2.0

### ags_cartesian_get_x_big_scale_factor ()

    gdouble
    ags_cartesian_get_x_big_scale_factor (AgsCartesian *cartesian);

Get x big scale factor of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |

#### Returns

the x big factor

Since: 3.2.0

### ags_cartesian_set_x_big_scale_factor ()

    void
    ags_cartesian_set_x_big_scale_factor (AgsCartesian *cartesian,
                                          gdouble x_big_scale_factor);

Set x big scale factor of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
x_big_scale_factor | the x big scale factor |

Since: 3.2.0

### ags_cartesian_get_y_small_scale_factor ()

    gdouble
    ags_cartesian_get_y_small_scale_factor
                                   (AgsCartesian *cartesian);

Get y small scale factor of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |

#### Returns

the y small factor

Since: 3.2.0

### ags_cartesian_set_y_small_scale_factor ()

    void
    ags_cartesian_set_y_small_scale_factor
                                   (AgsCartesian *cartesian,
                                    gdouble y_small_scale_factor);

Set y small scale factor of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
y_small_scale_factor | the y small scale factor |

Since: 3.2.0

### ags_cartesian_get_y_big_scale_factor ()

    gdouble
    ags_cartesian_get_y_big_scale_factor (AgsCartesian *cartesian);

Get y big scale factor of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |

#### Returns

the y big factor

Since: 3.2.0

### ags_cartesian_set_y_big_scale_factor ()

    void
    ags_cartesian_set_y_big_scale_factor (AgsCartesian *cartesian,
                                          gdouble y_big_scale_factor);

Set y big scale factor of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
y_big_scale_factor | the y big scale factor |

Since: 3.2.0

### ags_cartesian_get_x_label_factor ()

    gdouble
    ags_cartesian_get_x_label_factor (AgsCartesian *cartesian);

Get x label factor of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |

#### Returns

the x label factor

Since: 3.2.0

### ags_cartesian_set_x_label_factor ()

    void
    ags_cartesian_set_x_label_factor (AgsCartesian *cartesian,
                                      gdouble x_label_factor);

Set x label factor of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
x_label_factor | the x label factor |

Since: 3.2.0

### ags_cartesian_get_x_label_precision ()

    gdouble
    ags_cartesian_get_x_label_precision (AgsCartesian *cartesian);

Get x label precision of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |

#### Returns

the x label precision

Since: 3.2.0

### ags_cartesian_set_x_label_precision ()

    void
    ags_cartesian_set_x_label_precision (AgsCartesian *cartesian,
                                         gdouble x_label_precision);

Set x label precision of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
x_label_precision | the x label precision |

Since: 3.2.0

### ags_cartesian_get_y_label_factor ()

    gdouble
    ags_cartesian_get_y_label_factor (AgsCartesian *cartesian);

Get y label factor of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |

#### Returns

the y label factor

Since: 3.2.0

### ags_cartesian_set_y_label_factor ()

    void
    ags_cartesian_set_y_label_factor (AgsCartesian *cartesian,
                                      gdouble y_label_factor);

Set y label factor of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
y_label_factor | the y label factor |

Since: 3.2.0

### ags_cartesian_get_y_label_precision ()

    gdouble
    ags_cartesian_get_y_label_precision (AgsCartesian *cartesian);

Get y label precision of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |

#### Returns

the y label precision

Since: 3.2.0

### ags_cartesian_set_y_label_precision ()

    void
    ags_cartesian_set_y_label_precision (AgsCartesian *cartesian,
                                         gdouble y_label_precision);

Set y label precision of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |
y_label_precision | the y label precision |

Since: 3.2.0

### ags_cartesian_get_surface ()

    cairo_surface_t *
    ags_cartesian_get_surface (AgsCartesian *cartesian);

Get cairo surface of `cartesian` .

#### Parameters

cartesian | the AgsCartesian |

#### Returns

the cairo surface.

[transfer full]

Since: 3.2.0

### ags_cartesian_linear_step_conversion_func ()

    gdouble
    ags_cartesian_linear_step_conversion_func
                                   (gdouble current,
                                    gboolean is_abscissae,
                                    gpointer data);

Perform linear step conversion.

#### Parameters

current | current step value |
is_abscissae | is abscissae |
data | the data |

#### Returns

the converted step value

Since: 3.0.0

### ags_cartesian_linear_translate_func ()

    void
    ags_cartesian_linear_translate_func (gdouble x,
                                         gdouble y,
                                         gdouble *ret_x,
                                         gdouble *ret_y,
                                         gpointer data);

Perform linear translation.

#### Parameters

x | the x position |
y | the y position |
ret_x | the return location of translated x. | [out]
ret_y | the return location of transloated y. | [out]
data | the AgsCartesian |

Since: 3.0.0

### ags_cartesian_linear_x_small_scale_func ()

    gdouble
    ags_cartesian_linear_x_small_scale_func
                                   (gdouble value,
                                    gpointer data);

Labeling function of x small scale

#### Parameters

value | the value |
data | the AgsCartesian |

#### Returns

the matching scale value

Since: 3.0.0

### ags_cartesian_linear_x_big_scale_func ()

    gdouble
    ags_cartesian_linear_x_big_scale_func (gdouble value,
                                           gpointer data);

Labeling function of x big scale

#### Parameters

value | the value |
data | the AgsCartesian |

#### Returns

the matching scale value

Since: 3.0.0

### ags_cartesian_linear_y_small_scale_func ()

    gdouble
    ags_cartesian_linear_y_small_scale_func
                                   (gdouble value,
                                    gpointer data);

Labeling function of y small scale

#### Parameters

value | the value |
data | the AgsCartesian |

#### Returns

the matching scale value

Since: 3.0.0

### ags_cartesian_linear_y_big_scale_func ()

    gdouble
    ags_cartesian_linear_y_big_scale_func (gdouble value,
                                           gpointer data);

Labeling function of y big scale

#### Parameters

value | the value |
data | the AgsCartesian |

#### Returns

the matching scale value

Since: 3.0.0

### ags_cartesian_linear_x_label_func ()

    gchar *
    ags_cartesian_linear_x_label_func (gdouble value,
                                       gpointer data);

Format x label `value` appropriately.

#### Parameters

value | the value |
data | the AgsCartesian |

#### Returns

the formatted string

Since: 3.0.0

### ags_cartesian_linear_y_label_func ()

    gchar *
    ags_cartesian_linear_y_label_func (gdouble value,
                                       gpointer data);

Format y label `value` appropriately.

#### Parameters

value | the value |
data | the AgsCartesian |

#### Returns

the formatted string

Since: 3.0.0

### ags_cartesian_reallocate_label ()

    void
    ags_cartesian_reallocate_label (AgsCartesian *cartesian,
                                    gboolean do_x_label);

Reallocate x label if `do_x_label` , otherwise y label.

#### Parameters

cartesian | the AgsCartesian |
do_x_label | do x label |

Since: 3.0.0

### ags_cartesian_fill_label ()

    void
    ags_cartesian_fill_label (AgsCartesian *cartesian,
                              gboolean do_x_label);

Fill x label if `do_x_label` , otherwise y label.

#### Parameters

cartesian | the AgsCartesian |
do_x_label | do x label |

Since: 3.0.0

### ags_cartesian_new ()

    AgsCartesian *
    ags_cartesian_new ();

Create a new instance of AgsCartesian

#### Returns

the new AgsCartesian

Since: 3.0.0

## Types and Values

### AGS_CARTESIAN_DEFAULT_X_MARGIN

    #define AGS_CARTESIAN_DEFAULT_X_MARGIN (24.0)

### AGS_CARTESIAN_DEFAULT_Y_MARGIN

    #define AGS_CARTESIAN_DEFAULT_Y_MARGIN (24.0)

### AGS_CARTESIAN_DEFAULT_X_STEP_WIDTH

    #define AGS_CARTESIAN_DEFAULT_X_STEP_WIDTH (10.0)

### AGS_CARTESIAN_DEFAULT_Y_STEP_HEIGHT

    #define AGS_CARTESIAN_DEFAULT_Y_STEP_HEIGHT (10.0)

### AGS_CARTESIAN_DEFAULT_X_SCALE_STEP_WIDTH

    #define AGS_CARTESIAN_DEFAULT_X_SCALE_STEP_WIDTH (10.0)

### AGS_CARTESIAN_DEFAULT_Y_SCALE_STEP_HEIGHT

    #define AGS_CARTESIAN_DEFAULT_Y_SCALE_STEP_HEIGHT (10.0)

### AGS_CARTESIAN_DEFAULT_X_STEP

    #define AGS_CARTESIAN_DEFAULT_X_STEP (1.0)

### AGS_CARTESIAN_DEFAULT_Y_STEP

    #define AGS_CARTESIAN_DEFAULT_Y_STEP (1.0)

### AGS_CARTESIAN_DEFAULT_X_START

    #define AGS_CARTESIAN_DEFAULT_X_START (-60.0)

### AGS_CARTESIAN_DEFAULT_X_END

    #define AGS_CARTESIAN_DEFAULT_X_END (199.0)

### AGS_CARTESIAN_DEFAULT_Y_START

    #define AGS_CARTESIAN_DEFAULT_Y_START (-70.0)

### AGS_CARTESIAN_DEFAULT_Y_END

    #define AGS_CARTESIAN_DEFAULT_Y_END (99.0)

### AGS_CARTESIAN_DEFAULT_X_LABEL_START

    #define AGS_CARTESIAN_DEFAULT_X_LABEL_START (10.0)

### AGS_CARTESIAN_DEFAULT_X_LABEL_STEP_WIDTH

    #define AGS_CARTESIAN_DEFAULT_X_LABEL_STEP_WIDTH (50.0)

### AGS_CARTESIAN_DEFAULT_Y_LABEL_START

    #define AGS_CARTESIAN_DEFAULT_Y_LABEL_START (20.0)

### AGS_CARTESIAN_DEFAULT_Y_LABEL_STEP_HEIGHT

    #define AGS_CARTESIAN_DEFAULT_Y_LABEL_STEP_HEIGHT (50.0)

### enum AgsCartesianFlags

#### Members

AGS_CARTESIAN_ABSCISSAE |  |
AGS_CARTESIAN_ORDINATE |  |
AGS_CARTESIAN_X_SCALE |  |
AGS_CARTESIAN_Y_SCALE |  |
AGS_CARTESIAN_X_UNIT |  |
AGS_CARTESIAN_Y_UNIT |  |
AGS_CARTESIAN_X_LABEL |  |
AGS_CARTESIAN_Y_LABEL |  |

### enum AgsPlotFillFlags

#### Members

AGS_PLOT_FILL_REPLACE |  |

### struct AgsPlot

    struct AgsPlot {
      AgsPlotFillFlags fill_flags;

      guint n_points;
      gboolean join_points;
      gdouble **point;
      gdouble **point_color;
      gchar **point_label;

      guint n_bitmaps;
      guchar **bitmap;
      gdouble **bitmap_color;

      guint n_pixmaps;
      gdouble ***pixmap;
    };

## Property Details

### The `“center”` property

      “center”                   double

The center of lines

Owner: AgsCartesian

Flags: Read / Write

Allowed values: >= 0

Default value: 0.5

Since: 3.0.0

### The `“font-size”` property

      “font-size”                double

The font's size to draw labels and units.

Owner: AgsCartesian

Flags: Read / Write

Allowed values: >= 0

Default value: 12

Since: 3.0.0

### The `“line-width”` property

      “line-width”               double

The line width.

Owner: AgsCartesian

Flags: Read / Write

Allowed values: >= 0

Default value: 1

Since: 3.0.0

### The `“plot”` property

      “plot”                     gpointer

The GList containig AgsPlot.

Owner: AgsCartesian

Flags: Read / Write

Since: 4.0.0

### The `“point-radius”` property

      “point-radius”             double

The points radius.

Owner: AgsCartesian

Flags: Read / Write

Allowed values: >= 0

Default value: 0

Since: 3.0.0

### The `“surface”` property

      “surface”                  gpointer

The cairo surface.

Owner: AgsCartesian

Flags: Read / Write

Since: 4.0.0

### The `“translate-data”` property

      “translate-data”           gpointer

The data to pass to translate function.

Owner: AgsCartesian

Flags: Read / Write

Since: 4.0.0

### The `“x-big-scale-factor”` property

      “x-big-scale-factor”       double

The scale factor to use with x big scale function.

Owner: AgsCartesian

Flags: Read / Write

Allowed values: >= 0

Default value: 5

Since: 4.0.0

### The `“x-end”` property

      “x-end”                    double

The x end.

Owner: AgsCartesian

Flags: Read / Write

Default value: 199

Since: 3.0.0

### The `“x-label”` property

      “x-label”                  gpointer

The x labels as a string array.

Owner: AgsCartesian

Flags: Read / Write

Since: 3.0.0

### The `“x-label-data”` property

      “x-label-data”             gpointer

The data to pass to x label conversion function.

Owner: AgsCartesian

Flags: Read / Write

Since: 4.0.0

### The `“x-label-factor”` property

      “x-label-factor”           double

The factor to use with x label function.

Owner: AgsCartesian

Flags: Read / Write

Allowed values: >= 0

Default value: 5

Since: 4.0.0

### The `“x-label-precision”` property

      “x-label-precision”        double

The precision to use with x label function.

Owner: AgsCartesian

Flags: Read / Write

Allowed values: >= 0

Default value: 3

Since: 4.0.0

### The `“x-label-start”` property

      “x-label-start”            double

The x label start position.

Owner: AgsCartesian

Flags: Read / Write

Allowed values: >= 0

Default value: 10

Since: 3.0.0

### The `“x-label-step-width”` property

      “x-label-step-width”       double

The x label step width.

Owner: AgsCartesian

Flags: Read / Write

Allowed values: >= 0

Default value: 50

Since: 3.0.0

### The `“x-margin”` property

      “x-margin”                 double

The horizontal x margin.

Owner: AgsCartesian

Flags: Read / Write

Allowed values: >= 0

Default value: 24

Since: 3.0.0

### The `“x-scale-data”` property

      “x-scale-data”             gpointer

The data to pass to x scale conversion function.

Owner: AgsCartesian

Flags: Read / Write

Since: 4.0.0

### The `“x-scale-step-width”` property

      “x-scale-step-width”       double

The width of a x scale step.

Owner: AgsCartesian

Flags: Read / Write

Allowed values: >= 0

Default value: 10

Since: 3.0.0

### The `“x-small-scale-factor”` property

      “x-small-scale-factor”     double

The scale factor to use with x small scale function.

Owner: AgsCartesian

Flags: Read / Write

Allowed values: >= 0

Default value: 1

Since: 4.0.0

### The `“x-start”` property

      “x-start”                  double

The x start.

Owner: AgsCartesian

Flags: Read / Write

Default value: -60

Since: 3.0.0

### The `“x-step”` property

      “x-step”                   double

The x step.

Owner: AgsCartesian

Flags: Read / Write

Allowed values: >= 0

Default value: 1

Since: 3.0.0

### The `“x-step-data”` property

      “x-step-data”              gpointer

The data to pass to x step conversion function.

Owner: AgsCartesian

Flags: Read / Write

Since: 4.0.0

### The `“x-step-factor”` property

      “x-step-factor”            double

The step factor to use with x step conversion function.

Owner: AgsCartesian

Flags: Read / Write

Allowed values: >= 0

Default value: 1

Since: 4.0.0

### The `“x-step-width”` property

      “x-step-width”             double

The width of a x step.

Owner: AgsCartesian

Flags: Read / Write

Allowed values: >= 0

Default value: 10

Since: 3.0.0

### The `“x-translate-point”` property

      “x-translate-point”        double

The x translate point.

Owner: AgsCartesian

Flags: Read / Write

Default value: 0

Since: 4.0.0

### The `“x-unit”` property

      “x-unit”                   char *

The x unit label.

Owner: AgsCartesian

Flags: Read / Write

Default value: NULL

Since: 3.0.0

### The `“x-unit-size”` property

      “x-unit-size”              double

The x unit's size.

Owner: AgsCartesian

Flags: Read / Write

Allowed values: >= 0

Default value: 0

Since: 4.0.0

### The `“x-unit-x0”` property

      “x-unit-x0”                double

The x unit's x0 position.

Owner: AgsCartesian

Flags: Read / Write

Allowed values: >= 0

Default value: 0

Since: 3.0.0

### The `“x-unit-y0”` property

      “x-unit-y0”                double

The x unit's y0 position.

Owner: AgsCartesian

Flags: Read / Write

Allowed values: >= 0

Default value: 0

Since: 3.0.0

### The `“y-big-scale-factor”` property

      “y-big-scale-factor”       double

The scale factor to use with y big scale function.

Owner: AgsCartesian

Flags: Read / Write

Allowed values: >= 0

Default value: 5

Since: 4.0.0

### The `“y-end”` property

      “y-end”                    double

The y end.

Owner: AgsCartesian

Flags: Read / Write

Default value: 99

Since: 3.0.0

### The `“y-label”` property

      “y-label”                  gpointer

The y labels as a string array.

Owner: AgsCartesian

Flags: Read / Write

Since: 3.0.0

### The `“y-label-data”` property

      “y-label-data”             gpointer

The data to pass to y label conversion function.

Owner: AgsCartesian

Flags: Read / Write

Since: 4.0.0

### The `“y-label-factor”` property

      “y-label-factor”           double

The factor to use with y label function.

Owner: AgsCartesian

Flags: Read / Write

Allowed values: >= 0

Default value: 5

Since: 4.0.0

### The `“y-label-precision”` property

      “y-label-precision”        double

The precision to use with y label function.

Owner: AgsCartesian

Flags: Read / Write

Allowed values: >= 0

Default value: 3

Since: 4.0.0

### The `“y-label-start”` property

      “y-label-start”            double

The y label start position.

Owner: AgsCartesian

Flags: Read / Write

Allowed values: >= 0

Default value: 20

Since: 3.0.0

### The `“y-label-step-height”` property

      “y-label-step-height”      double

The y label step height.

Owner: AgsCartesian

Flags: Read / Write

Allowed values: >= 0

Default value: 50

Since: 3.0.0

### The `“y-margin”` property

      “y-margin”                 double

The horizontal y margin.

Owner: AgsCartesian

Flags: Read / Write

Allowed values: >= 0

Default value: 24

Since: 3.0.0

### The `“y-scale-data”` property

      “y-scale-data”             gpointer

The data to pass to y scale conversion function.

Owner: AgsCartesian

Flags: Read / Write

Since: 4.0.0

### The `“y-scale-step-height”` property

      “y-scale-step-height”      double

The height of a y scale step.

Owner: AgsCartesian

Flags: Read / Write

Allowed values: >= 0

Default value: 10

Since: 3.0.0

### The `“y-small-scale-factor”` property

      “y-small-scale-factor”     double

The scale factor to use with y small scale function.

Owner: AgsCartesian

Flags: Read / Write

Allowed values: >= 0

Default value: 1

Since: 4.0.0

### The `“y-start”` property

      “y-start”                  double

The y start.

Owner: AgsCartesian

Flags: Read / Write

Default value: -70

Since: 3.0.0

### The `“y-step”` property

      “y-step”                   double

The y step.

Owner: AgsCartesian

Flags: Read / Write

Allowed values: >= 0

Default value: 1

Since: 3.0.0

### The `“y-step-data”` property

      “y-step-data”              gpointer

The data to pass to y step conversion function.

Owner: AgsCartesian

Flags: Read / Write

Since: 4.0.0

### The `“y-step-factor”` property

      “y-step-factor”            double

The step factor to use with y step conversion function.

Owner: AgsCartesian

Flags: Read / Write

Allowed values: >= 0

Default value: 1

Since: 4.0.0

### The `“y-step-height”` property

      “y-step-height”            double

The height of a y step.

Owner: AgsCartesian

Flags: Read / Write

Allowed values: >= 0

Default value: 10

Since: 3.0.0

### The `“y-translate-point”` property

      “y-translate-point”        double

The y translate point.

Owner: AgsCartesian

Flags: Read / Write

Default value: 0

Since: 4.0.0

### The `“y-unit”` property

      “y-unit”                   char *

The y unit label.

Owner: AgsCartesian

Flags: Read / Write

Default value: NULL

Since: 3.0.0

### The `“y-unit-size”` property

      “y-unit-size”              double

The y unit's size.

Owner: AgsCartesian

Flags: Read / Write

Allowed values: >= 0

Default value: 0

Since: 4.0.0

### The `“y-unit-x0”` property

      “y-unit-x0”                double

The y unit's x0 position.

Owner: AgsCartesian

Flags: Read / Write

Allowed values: >= 0

Default value: 0

Since: 3.0.0

### The `“y-unit-y0”` property

      “y-unit-y0”                double

The y unit's y0 position.

Owner: AgsCartesian

Flags: Read / Write

Allowed values: >= 0

Default value: 0

Since: 3.0.0